function [U,lambda]=eigen_training(A)

M                   =   size(A,2);
N                   =   size(A,1);
L                   =   A'*A;
% calcolo autovalori di A'A
[vettori,valori]    =   eig(L);
valori              =   diag(valori);

lambda              =   valori(M:-1:1); % check ordinamento di "valori";
vettori             =   vettori(:,M:-1:1);

%determino gli autovalori di AA'
U                   =   A*vettori;

for i=1:M
    U(:,i)=U(:,i)/norm(U(:,i));
end

